Read User Name
GET {{apiPath}}/scim/v2/Users/{{userId}}?attributes=userName
The sample shows a valid bearer token for the request. The response returns a 200 OK message and the requested information about the specified user.
If the access token is missing, expired, or invalid for any reason, the server responds with a status code of 401 Unauthorized and a detailed error message.
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"scimType": "invalid_token",
"status": 401,
"detail": "Access token is expired or otherwise invalid."
}
Example Request
-
cURL
-
C#
-
Go
-
HTTP
-
Java
-
jQuery
-
NodeJS
-
Python
-
PHP
-
Ruby
-
Swift
curl --location --globoff '{{apiPath}}/scim/v2/Users/{{userId}}?attributes=userName' \
--header 'Accept: application/scim+json' \
--header 'Accept-Encoding: gzip, deflate' \
--header 'Authorization: Bearer {{accessToken}}'
var options = new RestClientOptions("{{apiPath}}/scim/v2/Users/{{userId}}?attributes=userName")
{
MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("Accept", "application/scim+json");
request.AddHeader("Accept-Encoding", "gzip, deflate");
request.AddHeader("Authorization", "Bearer {{accessToken}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "{{apiPath}}/scim/v2/Users/{{userId}}?attributes=userName"
method := "GET"
client := &http.Client {
}
req, err := http.NewRequest(method, url, nil)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Accept", "application/scim+json")
req.Header.Add("Accept-Encoding", "gzip, deflate")
req.Header.Add("Authorization", "Bearer {{accessToken}}")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}
GET /scim/v2/Users/{{userId}}?attributes=userName HTTP/1.1
Host: {{apiPath}}
Accept: application/scim+json
Accept-Encoding: gzip, deflate
Authorization: Bearer {{accessToken}}
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
.url("{{apiPath}}/scim/v2/Users/{{userId}}?attributes=userName")
.method("GET", body)
.addHeader("Accept", "application/scim+json")
.addHeader("Accept-Encoding", "gzip, deflate")
.addHeader("Authorization", "Bearer {{accessToken}}")
.build();
Response response = client.newCall(request).execute();
var settings = {
"url": "{{apiPath}}/scim/v2/Users/{{userId}}?attributes=userName",
"method": "GET",
"timeout": 0,
"headers": {
"Accept": "application/scim+json",
"Accept-Encoding": "gzip, deflate",
"Authorization": "Bearer {{accessToken}}"
},
};
$.ajax(settings).done(function (response) {
console.log(response);
});
var request = require('request');
var options = {
'method': 'GET',
'url': '{{apiPath}}/scim/v2/Users/{{userId}}?attributes=userName',
'headers': {
'Accept': 'application/scim+json',
'Accept-Encoding': 'gzip, deflate',
'Authorization': 'Bearer {{accessToken}}'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
import requests
url = "{{apiPath}}/scim/v2/Users/{{userId}}?attributes=userName"
payload = {}
headers = {
'Accept': 'application/scim+json',
'Accept-Encoding': 'gzip, deflate',
'Authorization': 'Bearer {{accessToken}}'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/scim/v2/Users/{{userId}}?attributes=userName');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
'follow_redirects' => TRUE
));
$request->setHeader(array(
'Accept' => 'application/scim+json',
'Accept-Encoding' => 'gzip, deflate',
'Authorization' => 'Bearer {{accessToken}}'
));
try {
$response = $request->send();
if ($response->getStatus() == 200) {
echo $response->getBody();
}
else {
echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
$response->getReasonPhrase();
}
}
catch(HTTP_Request2_Exception $e) {
echo 'Error: ' . $e->getMessage();
}
require "uri"
require "net/http"
url = URI("{{apiPath}}/scim/v2/Users/{{userId}}?attributes=userName")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["Accept"] = "application/scim+json"
request["Accept-Encoding"] = "gzip, deflate"
request["Authorization"] = "Bearer {{accessToken}}"
response = http.request(request)
puts response.read_body
var request = URLRequest(url: URL(string: "{{apiPath}}/scim/v2/Users/{{userId}}?attributes=userName")!,timeoutInterval: Double.infinity)
request.addValue("application/scim+json", forHTTPHeaderField: "Accept")
request.addValue("gzip, deflate", forHTTPHeaderField: "Accept-Encoding")
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")
request.httpMethod = "GET"
let task = URLSession.shared.dataTask(with: request) { data, response, error in
guard let data = data else {
print(String(describing: error))
return
}
print(String(data: data, encoding: .utf8)!)
}
task.resume()
Example Response
200 OK
{
"id": "1c588695-c3d9-4215-8f23-8e3c8f419492",
"meta": {
"location": "https://example.com:443/scim/v2/Users/1c588695-c3d9-4215-8f23-8e3c8f419492",
"resourceType": "Users"
},
"schemas": [
"urn:pingidentity:schemas:sample:profile:1.0",
"urn:pingidentity:schemas:User:1.0"
],
"userName": "ella.runciter"
}